Skip to main content

Authentication (OAuth 2.0)

Our Partner API uses industry-standard OAuth 2.0 with Client Credentials, designed for server-to-server authentication.

Obtaining Credentials​

After approval, you'll receive:

  1. Client ID (e.g. client_abc123xyz789)
  2. Client Secret (e.g. secret_def456uvw012)
  3. Partner API hostname for Test environment
  4. Any additional parameters required to authenticate and call our APIs

Once received, you can authenticate with Intrepid's API by invoking a POST request to /oauth/token with the provided credentials.

cURL Example​

Step 1: Obtain Access Token

curl -X POST https://intrepidgroup-test.au.auth0.com/{version}/oauth/token \
-H "Content-Type: application/x-www-form-urlencoded" \
-d "grant_type=client_credentials" \
-d "client_id=abc123xyz789" \
-d "client_secret=def456uvw012" \
-d "audience=partner-api-uat"

Response:

{
"access_token": "eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCIsImtpZCI6I…",
"expires_in": 86400,
"token_type": "Bearer"
}

Step 2: Use Token in API Request

curl -X GET https://{partner-api-hostname}/{version}/trips \
-H "Authorization: Bearer eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9..." \
-H "Content-Type: application/json"